class Modelos {
  Modelos({
    this.result,
    this.response,
    this.message,
  });

  List<Result>? result;
  bool? response;
  String? message;

  factory Modelos.fromJson(Map<String, dynamic> json) => Modelos(
    result: List<Result>.from(json["result"].map((x) => Result.fromJson(x))),
    response: json["response"],
    message: json["message"],
  );

  Map<String, dynamic> toJson() => {
    "result": List<dynamic>.from(result!.map((x) => x.toJson())),
    "response": response,
    "message": message,
  };
}

class Result {
  Result({
    this.id,
    this.linea,
    this.modelo,
  });

  String? id;
  String? linea;
  String? modelo;

  factory Result.fromJson(Map<String, dynamic> json) => Result(
    id: json["ID"],
    linea: json["LINEA"],
    modelo: json["MODELO"],
  );

  Map<String, dynamic> toJson() => {
    "ID": id,
    "LINEA": linea,
    "MODELO": modelo,
  };
}